<div id="Producers" style="display:none" class="well NrlDialog" data-ng-controller="Producers.PageController" data-on-key-down="navigateBackward()" data-keys="[27]">
    <div data-on-key-down="onEscWhileInDialog()" data-keys="[27]">
        <div data-alert="" data-ng-repeat="alert in pageModel.alerts" data-type="alert.type" data-close="closeAlert($index)">
            <div data-ng-bind-html-unsafe="alert.msg"></div>
        </div>
        <div id="Producers_ControllerGrpProducers" data-ng-controller="Producers.ControllerGrpProducers" data-ng-class="'FloatLeft'" data-ng-show="!isInvisible()" >
            <div class="FormArea"  >
                <table>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpProducers_itm__prodName"  data-ng-bind="getALString('Full Name')"  data-ng-class="!GrpProducers_itm__prodName_disabled(modelGrpProducers.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <label class="pull-left" for="GrpProducers_itm__prodCode"  data-ng-bind="getALString('Code')"  data-ng-class="!GrpProducers_itm__prodCode_disabled(modelGrpProducers.selectedEntities[0])&&true&&'requiredAsterisk'" />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                    <tr>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpProducers_itm__prodName' data-ng-model='modelGrpProducers.selectedEntities[0].prodName' data-np-ui-model='modelGrpProducers.selectedEntities[0]._prodName' data-ng-change='markEntityAsUpdated(modelGrpProducers.selectedEntities[0],&quot;prodName&quot;)' data-np-required='true' data-ng-readonly='GrpProducers_itm__prodName_disabled(modelGrpProducers.selectedEntities[0])' data-np-text='dummy' />
                        </td>
                        <td colspan="1" style="width:16%" >
                            <input name='GrpProducers_itm__prodCode' data-ng-model='modelGrpProducers.selectedEntities[0].prodCode' data-np-ui-model='modelGrpProducers.selectedEntities[0]._prodCode' data-ng-change='markEntityAsUpdated(modelGrpProducers.selectedEntities[0],&quot;prodCode&quot;)' data-np-required='true' data-ng-readonly='GrpProducers_itm__prodCode_disabled(modelGrpProducers.selectedEntities[0])' data-np-number='dummy' data-np-decimals='0' data-np-decSep=',' data-np-thSep='' class='ngCellNumber' />
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                        <td colspan="1"  >
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div>
            <div class="saveCancel">
                <button  id="saveBtn_id"   data-np-click  ="onSaveBtnAction()" data-ng-class="" 
                data-ng-disabled="saveIsDisabled()"  >
                    <i class="icon save"/>
                    {{getALString(getLabelById('saveBtn_id'))}}
                </button>

                <button  id="cancelBtn_id"   data-np-click  ="onCancelBtnAction()" data-ng-class="" 
                data-ng-disabled="cancelIsDisabled()"  >
                    <i class="icon back"/>
                    {{getALString(getLabelById('cancelBtn_id'))}}
                </button>

            </div>
        </div>
        <div style="clear:both"></div>
    </div>
</div>
